# CachingIterator::valid

(PHP 5, PHP 7)

CachingIterator::valid — Check whether the current element is valid

### Description

public CachingIterator::valid ( void ) : void
Warning

This function is currently not documented; only its argument list is available.

Check whether the current element is valid.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.